View a markdown version of this page

ListPrivateConnections - AWS Security Agent

ListPrivateConnections

Lists the private connections in your account.

Request Syntax

POST /ListPrivateConnections HTTP/1.1 Content-type: application/json { "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

maxResults

The maximum number of private connections to return in a single response.

Type: Integer

Required: No

nextToken

The token for the next page of results.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "privateConnections": [ { "certificateExpiryTime": "string", "dnsResolution": "string", "failureMessage": "string", "hostAddress": "string", "name": "string", "resourceConfigurationId": "string", "resourceGatewayId": "string", "status": "string", "tags": { "string" : "string" }, "type": "string", "vpcId": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The token to use to retrieve the next page of results, if more results are available.

Type: String

privateConnections

The list of private connections.

Type: Array of PrivateConnectionSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: